Workflow Steps

Get a workflow step

GET/workflow-steps/{id}

Returns one step, with its kind, its place in the workflow, whether it has a custom form, and its requirements and triggers, whose ids are the decorator_id of a step config override. An unknown id returns 404.

Path parameters

  • idstring (uuid)Required#

    The record's id.

Query parameters

  • fieldsstring#

    Comma-separated top-level fields to return. id is always returned.

Responses

200

The step.

WorkflowStep
{
  "data": {
    "id": "9a9d1c5e-4f2b-4c8e-9a7d-2f1e6b3c4d5a",
    "workflow_id": "9a9d1c5e-4f2b-4c8e-9a7d-2f1e6b3c4d5a",
    "name": "string",
    "label": "string",
    "type": "string",
    "kind": "linear",
    "description": "string",
    "is_protected": true,
    "is_floating": true,
    "order": 1,
    "has_custom_form": true,
    "is_internal_only": true,
    "show_default_internal_message": true,
    "document_upload": {
      "optional": true,
      "document_name": "string",
      "document_instruction": "string"
    },
    "minimum_investment": {
      "optional": true,
      "disclaimer": "string"
    },
    "document_release": {
      "folder_name": "string"
    },
    "webhook": {
      "webhook_id": "9a9d1c5e-4f2b-4c8e-9a7d-2f1e6b3c4d5a",
      "leading_edge": true
    },
    "posts_to_portfolio": true,
    "info_banner": {
      "title": "string",
      "body": "string",
      "delegated_to_deal": true
    },
    "requirements": [
      {
        "id": "9a9d1c5e-4f2b-4c8e-9a7d-2f1e6b3c4d5a",
        "class_name": "string",
        "leading_edge": true,
        "optional": true,
        "delegated_to_deal": true,
        "config": {}
      }
    ],
    "triggers": [
      {
        "id": "9a9d1c5e-4f2b-4c8e-9a7d-2f1e6b3c4d5a",
        "class_name": "string",
        "leading_edge": true,
        "delegated_to_deal": true,
        "config": {}
      }
    ],
    "created_at": "2026-06-12T10:00:00+00:00",
    "updated_at": "2026-06-12T10:00:00+00:00"
  }
}
401

Authentication failed. error.code is one of invalid_token, expired, revoked.

Error
403

Authorization failed. error.code is one of org_disabled, ip_blocked, missing_scope, scope_disabled, user_disabled.

Error
404

Resource not found (error.code = not_found).

Error
422

The request can't be processed (HTTP 422): validation_failed with one ErrorDetail per problem, or a code documented on the operation.

Error
429

Rate limit exceeded (error.code = rate_limited).

Error

Examples

curl https://your-org-domain/kong/core/api/v2/workflow-steps/{id}\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"